#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const yargs_1 = tslib_1.__importDefault(require("yargs"));
const runWithEnvVars_1 = require("./runWithEnvVars");
const program = yargs_1.default
    .options('stage', {
    type: 'string',
    defaultDescription: 'Stage to configure environment variables for',
})
    .options('log', { type: 'boolean', default: true })
    .options('watch', { type: 'boolean', default: false });
const { stage, log, watch, _ } = program.argv;
const [cmd, ...args] = _.map((x) => x.toString());
runWithEnvVars_1.runWithEnvVars({ cmd, args, stage, log, watch }).catch((error) => {
    console.error(error);
    process.exitCode = 1;
});
//# sourceMappingURL=cli.js.map